Loading...
Searching...
No Matches
RDKit::GaussianShape::ShapeInput Class Reference

`#include <ShapeInput.h>`

## Public Member Functions

| ShapeInput (const ROMol &mol, int confId=-1, const ShapeInputOptions &opts=ShapeInputOptions(), const ShapeOverlayOptions &overlayOpts=ShapeOverlayOptions())
| ShapeInput (const std::string &str)
| ShapeInput (const ShapeInput &other)
| ShapeInput (ShapeInput &&other)=default
ShapeInput & | operator= (const ShapeInput &other)
ShapeInput & | operator= (ShapeInput &&other)=default
virtual | ~ShapeInput ()=default
std::string | toString () const
const std::vector< double > & | getCoords () const
std::vector< RDGeom::Point3D > | getAtomPoints (bool includeColors=false) const
| Fetch the coordinates of the atoms and optionally features.
bool | getNormalized () const
const std::vector< int > & | getTypes () const
unsigned int | getNumAtoms () const
unsigned int | getNumFeatures () const
double | getShapeVolume () const
double | getColorVolume () const
const boost::dynamic_bitset * | getCarbonRadii () const
const std::array< double, 9 > & | calcCanonicalRotation ()
const std::array< double, 3 > & | calcCanonicalTranslation ()
const std::array< double, 3 > & | calcEigenValues ()
const std::array< size_t, 6 > & | calcExtremes ()
std::array< double, 3 > | calcMomentsOfInertia (bool includeColors=false) const
void | normalizeCoords ()
void | transformCoords (RDGeom::Transform3D &xform)
virtual std::unique_ptr< RWMol > | shapeToMol (bool includeColors=true) const

## Detailed Description

Definition at line 108 of file ShapeInput.h.

## Constructor & Destructor Documentation

## ShapeInput() [1/4]

RDKit::GaussianShape::ShapeInput::ShapeInput | ( | const ROMol & | mol,
|  | int | confId = -1,
|  | const ShapeInputOptions & | opts = ShapeInputOptions(),
|  | const ShapeOverlayOptions & | overlayOpts = ShapeOverlayOptions() )

Create the ShapeInput object.

Parameters

  mol | The molecule of interest
  confId | The conformer to use
  opts | Options for setting up the shape

Referenced by operator=(), operator=(), ShapeInput(), and ShapeInput().

## ShapeInput() [2/4]

RDKit::GaussianShape::ShapeInput::ShapeInput | ( | const std::string & | str | ) |

inline

Definition at line 117 of file ShapeInput.h.

References PRECONDITION.

## ShapeInput() [3/4]

RDKit::GaussianShape::ShapeInput::ShapeInput | ( | const ShapeInput & | other | ) |

References ShapeInput().

## ShapeInput() [4/4]

RDKit::GaussianShape::ShapeInput::ShapeInput | ( | ShapeInput && | other | ) |

default

References ShapeInput().

## ~ShapeInput()

virtual RDKit::GaussianShape::ShapeInput::~ShapeInput | ( |  | ) |

virtual default

## Member Function Documentation

## calcCanonicalRotation()

const std::array< double, 9 > & RDKit::GaussianShape::ShapeInput::calcCanonicalRotation | ( |  | ) |

## calcCanonicalTranslation()

const std::array< double, 3 > & RDKit::GaussianShape::ShapeInput::calcCanonicalTranslation | ( |  | ) |

## calcEigenValues()

const std::array< double, 3 > & RDKit::GaussianShape::ShapeInput::calcEigenValues | ( |  | ) |

## calcExtremes()

const std::array< size_t, 6 > & RDKit::GaussianShape::ShapeInput::calcExtremes | ( |  | ) |

## calcMomentsOfInertia()

std::array< double, 3 > RDKit::GaussianShape::ShapeInput::calcMomentsOfInertia | ( | bool | includeColors = false | ) | const

## getAtomPoints()

std::vector< RDGeom::Point3D > RDKit::GaussianShape::ShapeInput::getAtomPoints | ( | bool | includeColors = false | ) | const

Fetch the coordinates of the atoms and optionally features.

## getCarbonRadii()

const boost::dynamic_bitset * RDKit::GaussianShape::ShapeInput::getCarbonRadii | ( |  | ) | const

inline

Definition at line 154 of file ShapeInput.h.

## getColorVolume()

double RDKit::GaussianShape::ShapeInput::getColorVolume | ( |  | ) | const

inline

Definition at line 153 of file ShapeInput.h.

## getCoords()

const std::vector< double > & RDKit::GaussianShape::ShapeInput::getCoords | ( |  | ) | const

inline

Definition at line 145 of file ShapeInput.h.

## getNormalized()

bool RDKit::GaussianShape::ShapeInput::getNormalized | ( |  | ) | const

inline

Definition at line 148 of file ShapeInput.h.

## getNumAtoms()

unsigned int RDKit::GaussianShape::ShapeInput::getNumAtoms | ( |  | ) | const

inline

Definition at line 150 of file ShapeInput.h.

## getNumFeatures()

unsigned int RDKit::GaussianShape::ShapeInput::getNumFeatures | ( |  | ) | const

inline

Definition at line 151 of file ShapeInput.h.

## getShapeVolume()

double RDKit::GaussianShape::ShapeInput::getShapeVolume | ( |  | ) | const

inline

Definition at line 152 of file ShapeInput.h.

## getTypes()

const std::vector< int > & RDKit::GaussianShape::ShapeInput::getTypes | ( |  | ) | const

inline

Definition at line 149 of file ShapeInput.h.

## normalizeCoords()

void RDKit::GaussianShape::ShapeInput::normalizeCoords | ( |  | ) |

## operator=() [1/2]

ShapeInput & RDKit::GaussianShape::ShapeInput::operator= | ( | const ShapeInput & | other | ) |

References ShapeInput().

## operator=() [2/2]

ShapeInput & RDKit::GaussianShape::ShapeInput::operator= | ( | ShapeInput && | other | ) |

default

References ShapeInput().

## shapeToMol()

virtual std::unique_ptr< RWMol > RDKit::GaussianShape::ShapeInput::shapeToMol | ( | bool | includeColors = true | ) | const

virtual

## toString()

std::string RDKit::GaussianShape::ShapeInput::toString | ( |  | ) | const

inline

Definition at line 132 of file ShapeInput.h.

References PRECONDITION.

## transformCoords()

void RDKit::GaussianShape::ShapeInput::transformCoords | ( | RDGeom::Transform3D & | xform | ) |

The documentation for this class was generated from the following file:

- ShapeInput.h